Description

It looks like @host.interfaces isn't allowed in the safe mode.

Also, the subnet information isn't stored with the interface, so it's not possible to retrieve it, even with safe_mode off.

Ideally, it'd be then possible to add

<% @host.interfaces.each do |int| >

network --bootproto=static --hostname=<= int.name > --ip=<= int.ip > --netmask=<= int.subnet > --gateway=<= int.gateway >

< end %>

to the kick start templates (or something along these lines that checks for dhcp, etc)

Related issues:

Related to Foreman - Feature #2240: Full Multiple Interface Support Closed 02/20/2013

History

#1 - 02/28/2014 05:16 PM - Benjamin Papillon

- Related to Feature #2240: Full Multiple Interface Support added

#2 - 02/28/2014 05:17 PM - Benjamin Papillon

- Description updated

- Status changed from New to Feedback

Hi,

The wiki page that explain templates variables has been updated with the information you requested. Do you still have the issue with recent foreman

versions?

Regards

#3 - 02/28/2014 05:20 PM - Vincent Janelle

Unfortunately, I no longer use the foreman and can't verify this without setting up the whole stack.

#4 - 02/28/2014 06:03 PM - Benjamin Papillon

- Status changed from Feedback to Resolved

Thanks for the quick answer. I'm closing this feature. Feel free to reopen it if you work with foreman again and you still encounter the issue :)

Regards
